Subject: bug#20678: new bug that Paul "asked" for... grep -P aborts on non-utf8 input.

From: Bernhard Voelker <[email-masked]>
Date: Thu, 28 May 2015 15:28:47 +0200

On 05/28/2015 03:17 PM, Linda Walsh wrote:
> Bernhard Voelker wrote:
>> On 05/28/2015 12:24 AM, Linda Walsh wrote:
>>> ok... ARG -- I just installed the new version of grep from
>>> my distro (suse13.2) -- grep-2.20-2.4.1.x86_64
>>>
>>> I think they'll be out with a new distro release in about
>>> a year...(yes, I can probably build my own...like I have
>>> to with a growing body of Software)
>>
>> This is openSUSE specific.
>> When you've built your own version with a patch for a problem,
>> nothing prevents you from simply creating a submit request for
>> that patch on OBS to "Base:System/grep", and maybe even creating
>> a maintenance request for "openSUSE:13.2/grep".  Get involved.
> ----
>      Main thing my patch is restoring functionality of 'rm'
> to allow "rm -fr ." [...]

stop, 'rm -rf .' is a completely different story - your bug report
was about 'grep -P' (for which the bug report is OT on the coreutils
mailing list btw.).
Having your own (probably non-generally wanted) patches in your own
OBS project is perfect.  I was just talking about submitting the
patch for the non-utf8 issue (for which I personally didn't check
whether it is already included downstreams).

Have a nice day,
Berny